import 'package:dartz/dartz.dart';
import 'package:hmg_patient_app_new/core/exceptions/api_failure.dart';

abstract class PaytabsService {
  Future<Either<Failure, dynamic>> getAskDoctorAppointmentsList();

  Future<Either<Failure, dynamic>> getDoctorResponse();
}

class PaytabsServiceImp implements PaytabsService {
  @override
  Future<Either<Failure, dynamic>> getAskDoctorAppointmentsList() {
    // TODO: implement getAskDoctorAppointmentsList
    throw UnimplementedError();
  }

  @override
  Future<Either<Failure, dynamic>> getDoctorResponse() {
    // TODO: implement getDoctorResponse
    throw UnimplementedError();
  }

}
